Browse Source

updated 4 packages

enchant2-2.2.15-1

libassuan-2.5.5-1

libgcrypt-1.9.2-1

libgpg-error-1.42-1
Tomohiro "Tomo-p" KATO 1 year ago
parent
commit
7421f75f8b

+ 12 - 14
e/enchant2/enchant2-vl.spec

@@ -4,9 +4,9 @@
 Summary: An Enchanting Spell Checking Library
 Summary(ja): スペルチェックライブラリ
 Name: enchant2
-Version: 2.2.8
+Version: 2.2.15
 Release: 1%{?_dist_release}
-Group: System Environment/Libraries
+Group: system,office
 Vendor: Project Vine
 Distribution: Vine Linux
 
@@ -32,7 +32,7 @@ A library that wraps other spell checking backends.
 %package hunspell
 Summary: Integration with hunspell for libenchant
 Summary(ja): Integration with hunspell for libenchant
-Group: System Environment/Libraries
+Group: system
 Requires: enchant = %{version}-%{release}
 
 %description hunspell
@@ -42,7 +42,7 @@ Libraries necessary to integrate applications using libenchant with hunspell.
 %package voikko
 Summary: Integration with voikko for libenchant
 Summary(ja): Integration with voikko for libenchant
-Group: System Environment/Libraries
+Group: system
 Requires: enchant = %{version}-%{release}
 
 %description voikko
@@ -52,7 +52,7 @@ Libraries necessary to integrate applications using libenchant with voikko.
 %package devel
 Summary: Support files necessary to compile applications with libenchant.
 Summary(ja): Support files necessary to compile applications with libenchant.
-Group: Development/Libraries
+Group: programming
 Requires: enchant2 = %{version}-%{release}
 Requires: glib2-devel
 
@@ -60,6 +60,9 @@ Requires: glib2-devel
 Libraries, headers, and support files necessary to compile applications using libenchant.
 
 
+%debug_package
+
+
 %prep
 %setup -q -n enchant-%{version}
 
@@ -92,15 +95,6 @@ rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
 rm -f $RPM_BUILD_ROOT/%{_libdir}/enchant-2/*.la
 
 
-%post -p /sbin/ldconfig
-
-%postun -p /sbin/ldconfig
-
-
-%clean
-rm -r $RPM_BUILD_ROOT
-
-
 %files
 %defattr(-,root,root)
 %license COPYING.LIB
@@ -131,6 +125,10 @@ rm -r $RPM_BUILD_ROOT
 
 
 %changelog
+* Mon Mar 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.15-1
+- new upstream release.
+- dropped ldconfig scriptlets.
+
 * Fri May 01 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.8-1
 - new upstream release.
 

+ 8 - 4
lib/liba/libassuan/libassuan-vl.spec

@@ -1,6 +1,6 @@
 Name:    libassuan
 Summary: GnuPG IPC library
-Version: 2.5.4
+Version: 2.5.5
 Release: 1%{?_dist_release}
 Group:   system
 Vendor: Project Vine
@@ -101,18 +101,22 @@ rm -rf %{buildroot}
 %{_datadir}/aclocal/*
 %{_infodir}/assuan.info*
 
+
 %changelog
+* Mon Mar 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.5.5-1
+- updated to 2.5.5.
+
 * Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.5.4-1
-- update to 2.5.4.
+- updated to 2.5.4.
 
 * Sun Mar 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.5.3-2
 - rebuilt with current environment.
 
 * Sun May 05 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.5.3-1
-- update to 2.5.3.
+- updated to 2.5.3.
 
 * Thu Mar 01 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.5.1-1
-- update to 2.5.1.
+- updated to 2.5.1.
 
 * Mon Mar 20 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 2.4.3-1
 - update to 2.4.3

+ 7 - 9
lib/libg/libgcrypt/libgcrypt-vl.spec

@@ -2,7 +2,7 @@
 Summary: A cryptographic library based on the code from GnuPG.
 Summary(ja): GnuPG のコードをベースとした暗号化ライブラリ
 Name: libgcrypt
-Version: 1.9.1
+Version: 1.9.2
 Release: 1%{?_dist_release}
 Group: system
 Vendor: Project Vine
@@ -42,7 +42,7 @@ Static libraries and header files from libgcrypt.
 %package -n compat32-%{name}
 Summary: A cryptographic library based on the code from GnuPG.
 Summary(ja): GnuPG のコードをベースとした暗号化ライブラリ
-Group: system
+Group: system,legacy
 Requires: %{name} = %{version}-%{release}
 
 %description -n compat32-%{name}
@@ -57,7 +57,7 @@ integer functions, random numbers and a lot of supporting functions.
 %package -n compat32-%{name}-devel
 Summary: Development files for libgcrypt
 Summary(ja): libgcrypt を使った開発に必要なヘッダやライブラリ
-Group: programming
+Group: programming,legacy
 Requires: compat32-%{name} = %{version}-%{release}
 Requires: %{name}-devel = %{version}-%{release}
 Requires: compat32-libgpg-error-devel
@@ -91,9 +91,6 @@ rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
 [ "%{buildroot}" != / ] && rm -rf %{buildroot}
 
 
-%post -p /sbin/ldconfig
-%postun -p /sbin/ldconfig
-
 %post devel
 /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gcrypt.info.gz ||:
 
@@ -102,9 +99,6 @@ if [ $1 = 0 ]; then
     /sbin/install-info --delete %{_infodir}/gcrypt.info.gz %{_infodir}/dir ||:
 fi
 
-%post -n compat32-%{name} -p /sbin/ldconfig
-%postun -n compat32-%{name} -p /sbin/ldconfig
-
 
 %files
 %defattr(-,root,root)
@@ -138,6 +132,10 @@ fi
 
 
 %changelog
+* Mon Mar 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.9.2-1
+- updated to 1.9.2.
+- dropped ldconfig scriptlets.
+
 * Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.9.1-1
 - updated to 1.9.1.
 

+ 7 - 9
lib/libg/libgpg-error/libgpg-error-vl.spec

@@ -2,7 +2,7 @@
 Summary:	common error codes for GnuPG related projects
 Summary(ja):	GnuPG 関連プロジェクトで共通のエラーコード
 Name:		libgpg-error
-Version:	1.41
+Version:	1.42
 Release:	1%{?_dist_release}
 Group:		system
 Vendor:		Project Vine
@@ -37,7 +37,7 @@ contains files necessary to develop applications using libgpg-error.
 %package -n compat32-%{name}
 Summary:	common error codes for GnuPG related projects
 Summary(ja):	GnuPG 関連プロジェクトで共通のエラーコード
-Group:		system
+Group:		system,legacy
 Requires:	%{name} = %{version}-%{release}
 
 %description -n compat32-%{name}
@@ -49,7 +49,7 @@ pinentry, SmartCard Daemon and possibly more in the future.
 %package -n compat32-%{name}-devel
 Summary:	Development files for the %{name} package
 Summary(ja):	%{name} パッケージの開発用ファイル
-Group:		programming
+Group:		programming,legacy
 Requires:	compat32-%{name} = %{version}-%{release}
 Requires:	%{name}-devel = %{version}-%{release}
 
@@ -88,9 +88,6 @@ rm -f $RPM_BUILD_ROOT%{_infodir}/dir
 rm -rf $RPM_BUILD_ROOT
 
 
-%post -p /sbin/ldconfig
-%postun -p /sbin/ldconfig
-
 %post devel 
 /sbin/install-info %{_infodir}/gpgrt.info %{_infodir}/dir &>/dev/null || :
 
@@ -99,9 +96,6 @@ if [ $1 -eq 0 ]; then
   /sbin/install-info --delete %{_infodir}/gpgrt.info %{_infodir}/dir &>/dev/null || :
 fi
 
-%post -n compat32-%{name} -p /sbin/ldconfig
-%postun -n compat32-%{name} -p /sbin/ldconfig
-
 
 %files -f %{name}.lang
 %defattr(-,root,root)
@@ -138,6 +132,10 @@ fi
 %endif
 
 %changelog
+* Mon Mar 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.42-1
+- updated to 1.42.
+- dropped ldconfig scriptlets.
+
 * Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.41-1
 - updated to 1.41.